function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var material = require('@mui/material');
require('@fontsource/inter');
var styles = require('@mui/material/styles');
var FormControl = _interopDefault(require('@mui/material/FormControl'));
var FormControlLabel = _interopDefault(require('@mui/material/FormControlLabel'));
var FormHelperText = _interopDefault(require('@mui/material/FormHelperText'));
var PropTypes = _interopDefault(require('prop-types'));
var Checkbox = _interopDefault(require('@mui/material/Checkbox'));
var Radio = _interopDefault(require('@mui/material/Radio'));
var Button = _interopDefault(require('@mui/material/Button'));
var IconButton = _interopDefault(require('@mui/material/IconButton'));
var Switch = _interopDefault(require('@mui/material/Switch'));
var Badge = _interopDefault(require('@mui/material/Badge'));
var Avatar = _interopDefault(require('@mui/material/Avatar'));
var AvatarGroup = _interopDefault(require('@mui/material/AvatarGroup'));

function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

var gray = {
  25: '#FCFCFD',
  50: '#F9FAFB',
  100: '#F2F4F7',
  200: '#E4E7EC',
  300: '#D0D5DD',
  400: '#98A2B3',
  500: '#667085',
  600: '#475467',
  700: '#344054',
  800: '#1D2939',
  900: '#101828'
};
var primary = {
  25: '#FCFAFF',
  50: '#F9F5FF',
  100: '#F4EBFF',
  200: '#E9D7FE',
  300: '#D6BBFB',
  400: '#B692F6',
  500: '#9E77ED',
  600: '#7F56D9',
  700: '#6941C6',
  800: '#53389E',
  900: '#42307D'
};
var red = {
  25: '#FFFBFA',
  50: '#FEF3F2',
  100: '#FEE4E2',
  200: '#FECDCA',
  300: '#FDA29B',
  400: '#F97066',
  500: '#F04438',
  600: '#D92D20',
  700: '#B42318',
  800: '#912018',
  900: '#7A271A'
};
var error = _extends({}, red);
var yellow = {
  25: '#FFFCF5',
  50: '#FFFAEB',
  100: '#FEF0C7',
  200: '#FEDF89',
  300: '#FEC84B',
  400: '#FDB022',
  500: '#F79009',
  600: '#DC6803',
  700: '#B54708',
  800: '#93370D',
  900: '#7A2E0E'
};
var warning = _extends({}, yellow);
var green = {
  25: '#F6FEF9',
  50: '#ECFDF3',
  100: '#D1FADF',
  200: '#A6F4C5',
  300: '#6CE9A6',
  400: '#32D583',
  500: '#12B76A',
  600: '#039855',
  700: '#027A48',
  800: '#05603A',
  900: '#054F31'
};
var success = _extends({}, green);
var blueGray = {
  25: '#FCFCFD',
  50: '#F8F9FC',
  100: '#EAECF5',
  200: '#C8CCE5',
  300: '#9EA5D1',
  400: '#717BBC',
  500: '#4E5BA6',
  600: '#3E4784',
  700: '#363F72',
  800: '#293056',
  900: '#101323'
};
var blueLight = {
  25: '#F5FBFF',
  50: '#F0F9FF',
  100: '#F0F2FE',
  200: '#B9E6FE',
  300: '#7CD4FD',
  400: '#36BFFA',
  500: '#0BA5EC',
  600: '#0086C9',
  700: '#026AA2',
  800: '#065986',
  900: '#0B4A6F'
};
var blue = {
  25: '#F5FAFF',
  50: '#EFF8FF',
  100: '#D1E9FF',
  200: '#B2DDFF',
  300: '#84CAFF',
  400: '#53B1FD',
  500: '#2E90FA',
  600: '#1570EF',
  700: '#175CD3',
  800: '#1849A9',
  900: '#194185'
};
var indigo = {
  25: '#F5F8FF',
  50: '#EEF4FF',
  100: '#E0EAFF',
  200: '#C7D7FE',
  300: '#A4BCFD',
  400: '#8098F9',
  500: '#6172F3',
  600: '#444CE7',
  700: '#3538CD',
  800: '#2D31A6',
  900: '#2D3283'
};
var purple = {
  25: '#FAFAFF',
  50: '#F4F3FF',
  100: '#EBE9FE',
  200: '#D9D6FE',
  300: '#BDB4FE',
  400: '#9B8AFB',
  500: '#7A5AF8',
  600: '#6938EF',
  700: '#5925DC',
  800: '#4A1FB8',
  900: '#3E1C96'
};
var pink = {
  25: '#FEF6FB',
  50: '#FDF2FA',
  100: '#FCE7F6',
  200: '#FCCEEE',
  300: '#FAA7E0',
  400: '#F670C7',
  500: '#EE46BC',
  600: '#DD2590',
  700: '#C11574',
  800: '#9E165F',
  900: '#851651'
};
var rose = {
  25: '#FFF5F6',
  50: '#FFF1F3',
  100: '#FFE4E8',
  200: '#FECDD6',
  300: '#FEA3B4',
  400: '#FD6F83',
  500: '#F63D68',
  600: '#E31B54',
  700: '#C01048',
  800: '#A11043',
  900: '#89123E'
};
var orange = {
  25: '#FFFAF5',
  50: '#FFEAD5',
  100: '#FDDCAB',
  200: '#FEB273',
  300: '#FEB273',
  400: '#FD853A',
  500: '#FB6514',
  600: '#EC4A04',
  700: '#C4320A',
  800: '#9C2A10',
  900: '#7E2410'
};
var white = '#FFFFFF';
var black = '#000000';

var colors = {
  __proto__: null,
  gray: gray,
  primary: primary,
  red: red,
  error: error,
  yellow: yellow,
  warning: warning,
  green: green,
  success: success,
  blueGray: blueGray,
  blueLight: blueLight,
  blue: blue,
  indigo: indigo,
  purple: purple,
  pink: pink,
  rose: rose,
  orange: orange,
  white: white,
  black: black
};

var theme = styles.createTheme({
  palette: {
    gray: {
      light: gray[200],
      main: gray[600],
      dark: gray[700]
    },
    primary: {
      light: primary[200],
      main: primary[600],
      dark: primary[700]
    },
    error: {
      light: red[200],
      main: red[600],
      dark: red[700]
    },
    warning: {
      light: yellow[200],
      main: yellow[600],
      dark: yellow[700]
    },
    success: {
      light: green[200],
      main: green[600],
      dark: green[700]
    },
    text: {
      main: gray[700],
      title: gray[700],
      gray: gray[500]
    }
  },
  typography: {
    fontFamily: 'Inter'
  },
  breakpoints: {
    values: {
      xs: 0,
      sm: 640,
      md: 768,
      lg: 1024,
      xl: 1280
    }
  },
  shape: {
    borderRadius: 8
  },
  spacing: 4
});

var KpiTheme = function KpiTheme(_ref) {
  var children = _ref.children;
  return /*#__PURE__*/React__default.createElement(material.ThemeProvider, {
    theme: theme
  }, children);
};

var parseHexToSvgFill = function parseHexToSvgFill(hex) {
  return hex.replace('#', '%23');
};

var CustomCheckbox = styles.styled(Checkbox)(function (_ref) {
  var theme = _ref.theme;
  return {
    padding: theme.spacing(1.5),
    marginRight: theme.spacing(1),
    '&:hover': {
      borderRadius: theme.shape.borderRadius,
      backgroundColor: primary[100]
    }
  };
});
var CheckboxIcon = styles.styled('span')(function (_ref2) {
  var theme = _ref2.theme,
      size = _ref2.size,
      disabled = _ref2.disabled;
  return {
    width: theme.spacing(size),
    height: theme.spacing(size),
    borderRadius: 3,
    border: "2px solid " + (disabled ? gray[200] : theme.palette.primary.main),
    backgroundColor: disabled ? gray[100] : primary[50]
  };
});
var CheckboxCheckedIcon = styles.styled(CheckboxIcon)(function (_ref3) {
  var theme = _ref3.theme,
      size = _ref3.size,
      disabled = _ref3.disabled;
  return {
    '&:before': {
      display: 'block',
      width: theme.spacing(size),
      height: theme.spacing(size),
      backgroundImage: "" + ("url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Cpath" + " fill-rule='evenodd' clip-rule='evenodd' d='M12 5c-.28 0-.53.11-.71.29L7 9.59l-2.29-2.3a1.003 " + "1.003 0 00-1.42 1.42l3 3c.18.18.43.29.71.29s.53-.11.71-.29l5-5A1.003 1.003 0 0012 5z' fill='") + parseHexToSvgFill(disabled ? gray[200] : primary[700]) + "'/%3E%3C/svg%3E\")",
      content: '""'
    }
  };
});
var CheckboxIndeterminateIcon = styles.styled(CheckboxIcon)(function (_ref4) {
  var theme = _ref4.theme,
      size = _ref4.size,
      disabled = _ref4.disabled;
  return {
    '&:before': {
      display: 'block',
      width: theme.spacing(size),
      height: theme.spacing(size),
      backgroundColor: disabled ? gray[200] : primary[700],
      backgroundImage: "" + ("url(\"data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='4 4 16 16'%3E%3Cpath" + " fill-rule='evenodd' clip-rule='evenodd' d='M29 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9" + " 2-2V5c0-1.1-.9-2-2-2zm-2 10H7v-2h10v2z' fill='") + parseHexToSvgFill(disabled ? gray[100] : primary[50]) + "'/%3E%3C/svg%3E\")",
      content: '""'
    }
  };
});

var KpiCheckbox = function KpiCheckbox(_ref) {
  var size = _ref.size,
      indeterminated = _ref.indeterminated,
      checked = _ref.checked,
      text = _ref.text,
      supportingText = _ref.supportingText,
      disabled = _ref.disabled,
      onChange = _ref.onChange;
  var parseSize = {
    sm: 3,
    md: 4
  };
  var fontSize = {
    sm: 'body2',
    md: 'body1'
  };
  return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(FormControl, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    label: text,
    disableTypography: true,
    sx: {
      typography: fontSize[size]
    },
    control: /*#__PURE__*/React__default.createElement(CustomCheckbox, {
      indeterminate: indeterminated,
      icon: /*#__PURE__*/React__default.createElement(CheckboxIcon, {
        disabled: disabled,
        size: parseSize[size]
      }),
      checkedIcon: /*#__PURE__*/React__default.createElement(CheckboxCheckedIcon, {
        disabled: disabled,
        size: parseSize[size]
      }),
      indeterminateIcon: /*#__PURE__*/React__default.createElement(CheckboxIndeterminateIcon, {
        disabled: disabled,
        size: parseSize[size]
      }),
      onChange: onChange,
      disabled: disabled,
      checked: checked,
      variant: "outlined"
    })
  }), /*#__PURE__*/React__default.createElement(FormHelperText, {
    sx: {
      marginLeft: function marginLeft(theme) {
        return theme.spacing(6);
      },
      marginTop: function marginTop(theme) {
        return theme.spacing(-1);
      },
      typography: fontSize[size]
    }
  }, supportingText)));
};
KpiCheckbox.defaultProps = {
  size: 'md',
  indeterminated: false,
  checked: false,
  text: '',
  supportingText: '',
  disabled: false,
  onChange: function onChange() {}
};
KpiCheckbox.propTypes = {
  size: PropTypes.oneOf(['sm', 'md']),
  indeterminated: PropTypes.bool,
  checked: PropTypes.bool,
  text: PropTypes.string,
  supportingText: PropTypes.string,
  disabled: PropTypes.bool,
  onChange: PropTypes.func
};

var CustomRadio = styles.styled(Radio)(function (_ref) {
  var theme = _ref.theme;
  return {
    padding: theme.spacing(1.5),
    marginRight: theme.spacing(1),
    'input:hover ~ &': {
      borderRadius: '50%',
      backgroundColor: primary[100]
    }
  };
});
var RadioIcon = styles.styled('span')(function (_ref2) {
  var theme = _ref2.theme,
      size = _ref2.size,
      disabled = _ref2.disabled;
  return {
    width: theme.spacing(size),
    height: theme.spacing(size),
    borderRadius: '50%',
    border: "2px solid " + (disabled ? gray[200] : theme.palette.primary.main),
    backgroundColor: disabled ? gray[100] : primary[50]
  };
});
var RadioCheckedIcon = styles.styled(RadioIcon)(function (_ref3) {
  var theme = _ref3.theme,
      size = _ref3.size,
      disabled = _ref3.disabled;
  return {
    backgroundColor: disabled ? gray[100] : primary[50],
    '&:before': {
      display: 'block',
      width: theme.spacing(size),
      height: theme.spacing(size),
      backgroundImage: "radial-gradient(" + (disabled ? gray[200] : primary[700]) + " 34%, transparent 0%)",
      content: '""'
    }
  };
});

var KpiRadio = function KpiRadio(_ref) {
  var size = _ref.size,
      text = _ref.text,
      supportingText = _ref.supportingText,
      disabled = _ref.disabled,
      checked = _ref.checked,
      onChange = _ref.onChange;
  var parseSize = {
    sm: 3,
    md: 4
  };
  var fontSize = {
    sm: 'body2',
    md: 'body1'
  };
  return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(FormControl, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    label: text,
    disabled: disabled,
    disableTypography: true,
    sx: {
      typography: fontSize[size]
    },
    control: /*#__PURE__*/React__default.createElement(CustomRadio, {
      icon: /*#__PURE__*/React__default.createElement(RadioIcon, {
        disabled: disabled,
        size: parseSize[size]
      }),
      checkedIcon: /*#__PURE__*/React__default.createElement(RadioCheckedIcon, {
        disabled: disabled,
        size: parseSize[size]
      }),
      variant: "outlined",
      onChange: onChange,
      checked: checked
    })
  }), /*#__PURE__*/React__default.createElement(FormHelperText, {
    sx: {
      marginLeft: function marginLeft(theme) {
        return theme.spacing(6);
      },
      marginTop: function marginTop(theme) {
        return theme.spacing(-1);
      },
      typography: fontSize[size]
    }
  }, supportingText)));
};
KpiRadio.defaultProps = {
  size: 'md',
  checked: false,
  text: '',
  supportingText: '',
  disabled: false,
  onChange: function onChange() {}
};
KpiRadio.propTypes = {
  size: PropTypes.oneOf(['sm', 'md']),
  checked: PropTypes.bool,
  text: PropTypes.string,
  supportingText: PropTypes.string,
  disabled: PropTypes.bool,
  value: PropTypes.any,
  onChange: PropTypes.func
};

var getTextColor = function getTextColor(theme, color, customvariant) {
  return {
    color: customvariant === 'primary' ? theme.palette.getContrastText(theme.palette[color].main) : colors[color][500]
  };
};

var getOutlineStyle = function getOutlineStyle(theme, color, variant) {
  return {
    '&:focus': {
      outlineWidth: variant !== 'text' && theme.spacing(1),
      outlineStyle: 'solid',
      outlineColor: variant === 'text' ? 'transparent' : theme.palette[color].light,
      transition: 'all .2s linear'
    }
  };
};

var getBackgroundColor = function getBackgroundColor(color, customvariant) {
  if (customvariant === 'primary') {
    return {
      backgroundColor: colors[color][600]
    };
  }

  if (customvariant === 'secondary') {
    return {
      backgroundColor: colors[color][50],
      '&:hover': {
        backgroundColor: colors[color][100]
      }
    };
  }

  if (customvariant === 'tertiary' || customvariant === 'link') {
    return {
      backgroundColor: 'unset',
      '&:hover': {
        backgroundColor: colors[color][50],
        color: colors[color][600]
      }
    };
  }

  return {
    backgroundColor: 'unset',
    '&:hover': {
      backgroundColor: 'unset',
      color: colors[color][600]
    }
  };
};

var getDisabledColors = function getDisabledColors(theme, color, customvariant, isIcon) {
  if (customvariant === 'primary') {
    return {
      backgroundColor: theme.palette[color].light,
      color: theme.palette.getContrastText(theme.palette[color].main)
    };
  }

  if (customvariant === 'secondary') {
    return {
      backgroundColor: styles.lighten(colors[color][50], 0.5),
      color: styles.lighten(theme.palette[color].main, 0.5)
    };
  }

  if (customvariant === 'tertiary') {
    return {
      borderColor: theme.palette[color].light,
      color: styles.lighten(theme.palette[color].main, 0.5)
    };
  }

  if (isIcon) {
    return {
      color: colors[color][300]
    };
  }

  return {
    color: gray[300]
  };
};

var CustomButton = styles.styled(Button)(function (_ref) {
  var theme = _ref.theme,
      color = _ref.color,
      variant = _ref.variant,
      customvariant = _ref.customvariant;
  return _extends({
    textTransform: 'none',
    fontWeight: 500,
    transition: 'all .2s linear'
  }, getTextColor(theme, color, customvariant), getOutlineStyle(theme, color, variant), {
    '&:disabled': _extends({}, getDisabledColors(theme, color, customvariant))
  }, getBackgroundColor(color, customvariant));
});
var CustomIconButton = styles.styled(IconButton)(function (_ref2) {
  var theme = _ref2.theme,
      color = _ref2.color,
      variant = _ref2.variant,
      customvariant = _ref2.customvariant;
  return _extends({
    borderWidth: customvariant === 'tertiary' && '1px',
    borderStyle: 'solid',
    borderColor: colors[color][300],
    borderRadius: theme.shape.borderRadius,
    textTransform: 'none',
    fontWeight: 500,
    transition: 'all .2s linear'
  }, getTextColor(theme, color, customvariant), getOutlineStyle(theme, color, variant), {
    '&:disabled': _extends({}, getDisabledColors(theme, color, customvariant, true))
  }, getBackgroundColor(color, customvariant));
});

var KpiButton = function KpiButton(_ref) {
  var size = _ref.size,
      iconPosition = _ref.iconPosition,
      variant = _ref.variant,
      color = _ref.color,
      disabled = _ref.disabled,
      icon = _ref.icon,
      children = _ref.children,
      onClick = _ref.onClick;
  var Icon = icon;
  var positions = {
    left: 'startIcon',
    right: 'endIcon'
  };
  var sizes = {
    sm: 'small',
    md: 'medium',
    lg: 'large'
  };
  var variants = {
    primary: 'contained',
    secondary: 'contained',
    tertiary: 'outlined',
    link: 'text',
    "default": 'text'
  };
  var getProps = {
    disableRipple: true,
    disableFocusRipple: true,
    disableElevation: true,
    onClick: onClick,
    disabled: disabled,
    size: sizes[size],
    color: color,
    variant: variants[variant],
    customvariant: variant
  };

  if (icon && !children) {
    delete getProps.disableElevation;
    return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(CustomIconButton, getProps, /*#__PURE__*/React__default.createElement(Icon, null)));
  }

  if (icon) {
    getProps[positions[iconPosition]] = /*#__PURE__*/React__default.createElement(Icon, null);
  }

  return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(CustomButton, getProps, children));
};
KpiButton.defaultProps = {
  size: 'md',
  iconPosition: 'left',
  variant: 'default',
  color: 'primary',
  disabled: false,
  icon: null,
  children: null,
  onClick: function onClick() {}
};
KpiButton.propTypes = {
  size: PropTypes.oneOf(['sm', 'md', 'lg']),
  iconPosition: PropTypes.oneOf(['left', 'right']),
  variant: PropTypes.oneOf(['default', 'primary', 'secondary', 'tertiary', 'link']),
  color: PropTypes.oneOf(['primary', 'gray', 'success', 'error', 'warning']),
  disabled: PropTypes.bool,
  icon: PropTypes.elementType,
  children: PropTypes.elementType,
  onClick: PropTypes.func
};

var CustomSwitch = styles.styled(Switch)(function (_ref) {
  var theme = _ref.theme,
      customsize = _ref.customsize;
  return {
    width: theme.spacing(customsize.trackWidth),
    height: theme.spacing(customsize.trackHeight),
    padding: theme.spacing(customsize.trackPadding),
    '& .MuiSwitch-switchBase': {
      padding: customsize.basePadding,
      transitionDuration: '300ms',
      '&.Mui-checked': {
        transform: 'translateX(16px)',
        color: '#fff',
        '& + .MuiSwitch-track': {
          backgroundColor: theme.palette.primary.main,
          opacity: 1
        },
        '&:hover + .MuiSwitch-track': {
          backgroundColor: theme.palette.primary.dark
        }
      },
      '&.Mui-focusVisible + .MuiSwitch-track': {
        boxShadow: 'none',
        outlineWidth: theme.spacing(1),
        outlineStyle: 'solid',
        outlineColor: theme.palette.primary.light,
        transition: 'all .2s linear'
      },
      '&.Mui-disabled .MuiSwitch-thumb': {
        color: white
      },
      '&.Mui-disabled + .MuiSwitch-track': {
        backgroundColor: gray[100],
        opacity: 1
      }
    },
    '&.Mui-focusVisible .MuiSwitch-thumb': {
      boxShadow: 'none',
      outlineWidth: theme.spacing(1),
      outlineStyle: 'solid',
      outlineColor: theme.palette.primary.light,
      transition: 'all .2s linear'
    },
    '& .MuiSwitch-thumb': {
      boxSizing: 'border-box',
      width: theme.spacing(customsize.thumbWidth),
      height: theme.spacing(customsize.thumbHeight)
    },
    '& .MuiSwitch-track': {
      borderRadius: 26 / 2,
      backgroundColor: gray[100],
      opacity: 1,
      transition: theme.transitions.create(['background-color'], {
        duration: 500
      })
    },
    '&:hover .MuiSwitch-track': {
      backgroundColor: theme.palette.gray.light
    }
  };
});

var KpiSwitch = function KpiSwitch(_ref) {
  var size = _ref.size,
      text = _ref.text,
      supportingText = _ref.supportingText,
      disabled = _ref.disabled,
      checked = _ref.checked,
      onChange = _ref.onChange;
  var parseSize = {
    sm: {
      trackWidth: 13,
      trackHeight: 9,
      trackPadding: 2,
      thumbWidth: 4,
      thumbHeight: 4,
      basePadding: '10px 7px 10px 10px'
    },
    md: {
      trackWidth: 13,
      trackHeight: 8,
      trackPadding: 1,
      thumbWidth: 5,
      thumbHeight: 5,
      basePadding: '6px 0px 6px 10px'
    }
  };
  var fontSize = {
    sm: 'body2',
    md: 'body1'
  };
  return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(FormControl, null, /*#__PURE__*/React__default.createElement(FormControlLabel, {
    label: text,
    disabled: disabled,
    disableTypography: true,
    sx: {
      typography: fontSize[size]
    },
    control: /*#__PURE__*/React__default.createElement(CustomSwitch, {
      customsize: parseSize[size],
      variant: "outlined",
      onChange: onChange,
      checked: checked,
      focusVisibleClassName: ".Mui-focusVisible",
      disableRipple: true
    })
  }), /*#__PURE__*/React__default.createElement(FormHelperText, {
    sx: {
      marginLeft: function marginLeft(theme) {
        return theme.spacing(10);
      },
      marginTop: function marginTop(theme) {
        return theme.spacing(-1);
      },
      typography: fontSize[size]
    }
  }, supportingText)));
};
KpiSwitch.defaultProps = {
  size: 'md',
  checked: false,
  text: '',
  supportingText: '',
  disabled: false,
  onChange: function onChange() {}
};
KpiSwitch.propTypes = {
  size: PropTypes.oneOf(['sm', 'md']),
  checked: PropTypes.bool,
  text: PropTypes.string,
  supportingText: PropTypes.string,
  disabled: PropTypes.bool,
  value: PropTypes.any,
  onChange: PropTypes.func
};

var userIcon = "user-icon~WdPqCEAr.svg";

var avatarSize = {
  xs: {
    avatar: 6,
    badge: 10,
    font: 12
  },
  sm: {
    avatar: 8,
    badge: 12,
    font: 14
  },
  md: {
    avatar: 10,
    badge: 14,
    font: 16
  },
  lg: {
    avatar: 12,
    badge: 16,
    font: 18
  },
  xl: {
    avatar: 14,
    badge: 18,
    font: 20
  },
  '2xl': {
    avatar: 16,
    badge: 20,
    font: 24
  }
};

var BaseAvatar = styles.styled(Avatar)(function (_ref) {
  var theme = _ref.theme,
      size = _ref.size,
      fontSize = _ref.fontSize;
  return {
    backgroundColor: primary[50],
    width: theme.spacing(size),
    height: theme.spacing(size),
    color: theme.palette.primary.main,
    fontSize: fontSize,
    '& .placeholder-image': {
      width: '40%',
      maxWidth: theme.spacing(6)
    }
  };
});
var AvatarControlLabel = styles.styled(FormControlLabel)(function (_ref2) {
  var theme = _ref2.theme;
  return {
    cursor: 'unset',
    '& .MuiFormControlLabel-label': {
      marginTop: theme.spacing(-3)
    }
  };
});
var AvatarBadge = styles.styled(Avatar)(function (_ref3) {
  var theme = _ref3.theme,
      size = _ref3.size;
  return {
    width: size,
    height: size,
    border: "2px solid " + theme.palette.background.paper
  };
});
var AvatarHelperText = styles.styled(FormHelperText)(function (_ref4) {
  var theme = _ref4.theme,
      size = _ref4.size;
  return _extends({}, getHelperTextPosition(theme, size), {
    fontSize: 14
  });
});

var getHelperTextPosition = function getHelperTextPosition(theme, size) {
  if (size === 'xs') {
    return {
      marginLeft: theme.spacing(6),
      marginTop: theme.spacing(-3)
    };
  }

  if (size === 'sm') {
    return {
      marginLeft: theme.spacing(8),
      marginTop: theme.spacing(-3)
    };
  }

  if (size === 'md') {
    return {
      marginLeft: theme.spacing(10.5),
      marginTop: theme.spacing(-4)
    };
  }

  if (size === 'lg') {
    return {
      marginLeft: theme.spacing(12),
      marginTop: theme.spacing(-5)
    };
  }

  if (size === 'xl') {
    return {
      marginLeft: theme.spacing(14),
      marginTop: theme.spacing(-5)
    };
  }

  return {
    marginLeft: theme.spacing(16),
    marginTop: theme.spacing(-6)
  };
};

var KpiAvatar = function KpiAvatar(_ref) {
  var size = _ref.size,
      photoUrl = _ref.photoUrl,
      badge = _ref.badge,
      showTexts = _ref.showTexts,
      text = _ref.text,
      supportingText = _ref.supportingText;

  var getFirstLetters = function getFirstLetters() {
    var words = text.toUpperCase().split(' ');
    return "" + words[0][0] + words[words.length - 1][0];
  };

  return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(FormControl, null, /*#__PURE__*/React__default.createElement(AvatarControlLabel, {
    label: showTexts ? text : '',
    sx: {
      cursor: 'unset'
    },
    control: /*#__PURE__*/React__default.createElement(Badge, {
      overlap: "circular",
      sx: {
        marginRight: showTexts && 3
      },
      anchorOrigin: {
        vertical: 'bottom',
        horizontal: 'right'
      },
      badgeContent: badge && /*#__PURE__*/React__default.createElement(AvatarBadge, {
        src: badge,
        size: avatarSize[size].badge
      })
    }, /*#__PURE__*/React__default.createElement(BaseAvatar, {
      src: photoUrl,
      fontSize: avatarSize[size].font,
      size: avatarSize[size].avatar
    }, text ? getFirstLetters() : /*#__PURE__*/React__default.createElement("img", {
      className: "placeholder-image",
      src: userIcon
    })))
  }), showTexts && /*#__PURE__*/React__default.createElement(AvatarHelperText, {
    size: size
  }, supportingText)));
};
KpiAvatar.defaultProps = {
  badge: '',
  photoUrl: '',
  showTexts: false,
  size: 'md',
  supportingText: '',
  text: ''
};
KpiAvatar.propTypes = {
  badge: PropTypes.string,
  photoUrl: PropTypes.string,
  showTexts: PropTypes.bool,
  size: PropTypes.oneOf(['xs', 'sm', 'md', 'lg', 'xl', '2xl']),
  supportingText: PropTypes.string,
  text: PropTypes.string
};

var DefaultContext = {
  color: undefined,
  size: undefined,
  className: undefined,
  style: undefined,
  attr: undefined
};
var IconContext = React__default.createContext && React__default.createContext(DefaultContext);

var __assign = undefined && undefined.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = undefined && undefined.__rest || function (s, e) {
  var t = {};

  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

function Tree2Element(tree) {
  return tree && tree.map(function (node, i) {
    return React__default.createElement(node.tag, __assign({
      key: i
    }, node.attr), Tree2Element(node.child));
  });
}

function GenIcon(data) {
  return function (props) {
    return React__default.createElement(IconBase, __assign({
      attr: __assign({}, data.attr)
    }, props), Tree2Element(data.child));
  };
}
function IconBase(props) {
  var elem = function (conf) {
    var attr = props.attr,
        size = props.size,
        title = props.title,
        svgProps = __rest(props, ["attr", "size", "title"]);

    var computedSize = size || conf.size || "1em";
    var className;
    if (conf.className) className = conf.className;
    if (props.className) className = (className ? className + ' ' : '') + props.className;
    return React__default.createElement("svg", __assign({
      stroke: "currentColor",
      fill: "currentColor",
      strokeWidth: "0"
    }, conf.attr, attr, svgProps, {
      className: className,
      style: __assign(__assign({
        color: props.color || conf.color
      }, conf.style), props.style),
      height: computedSize,
      width: computedSize,
      xmlns: "http://www.w3.org/2000/svg"
    }), title && React__default.createElement("title", null, title), props.children);
  };

  return IconContext !== undefined ? React__default.createElement(IconContext.Consumer, null, function (conf) {
    return elem(conf);
  }) : elem(DefaultContext);
}

// THIS FILE IS AUTO GENERATED
function HiPlus (props) {
  return GenIcon({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 3a1 1 0 011 1v5h5a1 1 0 110 2h-5v5a1 1 0 11-2 0v-5H4a1 1 0 110-2h5V4a1 1 0 011-1z","clipRule":"evenodd"}}]})(props);
}

var CustomAvatarGroup = styles.styled(AvatarGroup)(function (_ref) {
  var theme = _ref.theme,
      size = _ref.size,
      fontSize = _ref.fontSize;
  return {
    display: 'flex',
    flexDirection: 'row',
    justifyContent: 'flex-start',
    paddingLeft: theme.spacing(8),
    '.MuiAvatarGroup-avatar.MuiAvatar-root': {
      width: theme.spacing(size),
      height: theme.spacing(size),
      order: 9999,
      zIndex: 1,
      fontSize: fontSize,
      marginLeft: theme.spacing(-6) + " !important",
      backgroundColor: primary[50],
      color: theme.palette.primary.main
    }
  };
});
var AvatarGroupContainer = styles.styled('div')(function (_ref2) {
  var theme = _ref2.theme;
  return {
    display: 'flex',
    gap: theme.spacing(2),
    alignItems: 'center'
  };
});
var AvatarGroupAddButton = styles.styled(Avatar)(function (_ref3) {
  var theme = _ref3.theme,
      size = _ref3.size,
      fontSize = _ref3.fontSize;
  return {
    backgroundColor: white,
    border: "1px dashed " + gray[300],
    color: gray[300],
    width: theme.spacing(size),
    height: theme.spacing(size),
    fontSize: fontSize,
    cursor: 'pointer'
  };
});

var KpiAvatarGroup = function KpiAvatarGroup(_ref) {
  var avatars = _ref.avatars,
      chunkSize = _ref.chunkSize,
      size = _ref.size,
      hasAddButton = _ref.hasAddButton,
      onClick = _ref.onClick;
  return /*#__PURE__*/React__default.createElement(KpiTheme, null, /*#__PURE__*/React__default.createElement(AvatarGroupContainer, null, /*#__PURE__*/React__default.createElement(CustomAvatarGroup, {
    spacing: 6,
    max: chunkSize,
    size: avatarSize[size].avatar,
    fontSize: avatarSize[size].font
  }, avatars.map(function (_ref2, index) {
    var photoUrl = _ref2.photoUrl,
        name = _ref2.name;
    return /*#__PURE__*/React__default.createElement("div", {
      key: "" + index
    }, /*#__PURE__*/React__default.createElement(KpiAvatar, {
      photoUrl: photoUrl,
      text: name,
      size: size
    }));
  })), hasAddButton && /*#__PURE__*/React__default.createElement(AvatarGroupAddButton, {
    "data-testid": "add-button",
    size: avatarSize[size].avatar,
    fontSize: avatarSize[size].font,
    onClick: onClick
  }, /*#__PURE__*/React__default.createElement(HiPlus, null))));
};
KpiAvatarGroup.defaultProps = {
  size: 'md',
  chunkSize: 99999,
  hasAddButton: false,
  onClick: function onClick() {}
};
KpiAvatarGroup.propTypes = {
  chunkSize: PropTypes.number,
  size: PropTypes.oneOf(['xs', 'sm', 'md']),
  avatars: PropTypes.arrayOf(PropTypes.shape({
    photoUrl: PropTypes.string,
    name: PropTypes.string
  })).isRequired,
  hasAddButton: PropTypes.bool,
  onClick: PropTypes.func
};

exports.Avatar = KpiAvatar;
exports.AvatarGroup = KpiAvatarGroup;
exports.Button = KpiButton;
exports.Checkbox = KpiCheckbox;
exports.KpiTheme = KpiTheme;
exports.Radio = KpiRadio;
exports.Switch = KpiSwitch;
//# sourceMappingURL=index.js.map
